데이터셋 임포트 세션 조회
curl --request GET \
--url https://distillation.training.wandb.ai/v1/tasks/{alias}/dataset-imports/{importId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://distillation.training.wandb.ai/v1/tasks/{alias}/dataset-imports/{importId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://distillation.training.wandb.ai/v1/tasks/{alias}/dataset-imports/{importId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"split_policy": {},
"duplicate_policy": {},
"state": "uploading",
"total_bytes": 2,
"counters": {
"staged_rows": 1,
"rejected_rows": 1,
"validation_errors": 1,
"errors_by_code": {},
"rows_by_split": {}
},
"error": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"file": {
"name": "<string>",
"size_bytes": 2,
"part_size_bytes": 2,
"part_count": 2,
"state": "pending",
"uploaded_bytes": 1,
"parts": [
{
"part_number": 2,
"size_bytes": 1,
"etag": "<string>"
}
]
},
"validation": {
"validation_state": "pending",
"validated_bytes": 1,
"validated_lines": 1,
"validated_rows": 1,
"raw_sha256": "<string>",
"error_count": 1,
"errors_truncated": true,
"errors": [
{
"physical_line": 2,
"source_byte_offset": 1,
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"message": "Task 'missing' not found in entity 'your-team'",
"type": "not_found"
}
}데이터셋 임포트 세션 조회
GET
/
tasks
/
{alias}
/
dataset-imports
/
{importId}
데이터셋 임포트 세션 조회
인증
W&B API 키.
헤더
액세스 가능한 개인 또는 팀 entity. 인증된 사용자의 기본 entity를 사용하려면 생략하세요.
응답
임포트의 전송 및 처리 상태.
대상 데이터셋 ID로, 데이터셋 생성이 시작될 때 부여됩니다. 데이터셋을 사용하기 전에 ready 상태가 될 때까지 기다리세요. 생성 전이나 데이터셋이 삭제된 후에는 Null입니다.
임포트 작업이 생성될 때 수락된 분할 정책입니다.
임포트 작업이 생성될 때 승인된 중복 정책.
사용 가능한 옵션:
uploading, queued, validating, auditing, committing, ready, failed, cancelled, expired 필수 범위:
x >= 1사용 가능한 경우 검증 합계; 그렇지 않으면 null.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
마지막 수정일 2026년 9월 30일
이 페이지가 도움이 되었나요?